#****************************************************************************
#**
#**  File     :  /moddata/AimHelper/script.lua
#**  Author(s): Neruz
#**
#**  Summary  :  AimHelper unit, makes the weapons targetable
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local Unit = import('/lua/sim/unit.lua').Unit

AimHelper = Class(Unit) {
	
	OnDamage = function(self, instigator, amount, vector, damageType)
	end,
	
	OnKilled = function(self, instigator, type, overkillRatio)
		if table.find(self:GetBlueprint().Categories, 'SELECTABLE') then
			self.parent:OnKilledByAimHelper()
		end
		KillThread(self.posThread)
		self.posThread = nil
		self:Destroy()
	end,
}

TypeClass = AimHelper